import 'package:cresce_ui/cresce_ui.dart';
import 'package:flutter/material.dart';
import 'package:intl/date_symbol_data_local.dart';

void main() {
  initializeDateFormatting();
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Flutter Demo',
      debugShowCheckedModeBanner: false,
      home: Material(
        child: Center(
          child: Padding(
            padding: const EdgeInsets.all(30.0),
            child: CBigModal(
              child: CWizard(items: [
                CText(label: 'some page 1', style: CTextStyles.fieldPrimary),
                CText(label: 'some page 2', style: CTextStyles.fieldPrimary),
                CText(label: 'some page 3', style: CTextStyles.fieldPrimary),
                CText(label: 'some page 4', style: CTextStyles.fieldPrimary),
              ]),
            ),
          ),
        ),
      ),
    );
  }
}
